Subject: Re: [RFD] Gitweb: Source configuration from file separate from the CGI script

From: Jonathan Nieder <[email-masked]>
Date: Wed, 16 Mar 2011 09:34:20 -0500

Hi,

Drew Northup wrote:

> I just upgraded my Gitweb package (I'm testing the EPEL RHEL5 latest;
> I'm not too happy with them tweaking the paths) and as I should have
> expected all of my Gitweb configuration is now gone.

In gitweb/README, I see:

| You can adjust gitweb behaviour using the file specified in `GITWEB_CONFIG`
| (defaults to 'gitweb_config.perl' in the same directory as the CGI), and
| as a fallback `GITWEB_CONFIG_SYSTEM` (defaults to /etc/gitweb.conf).

Hope that helps,
Jonathan